---
title: <switch>
slug: Web/SVG/Element/switch
tags:
  - Element
  - NeedsExample
  - SVG
  - SVG Container
---
<div>{{SVGRef}}</div>

<p><span class="seoSummary">The <strong><code>&lt;switch&gt;</code></strong> <a href="/en-US/docs/Web/SVG">SVG</a> element evaluates any {{SVGAttr("requiredFeatures")}}, {{SVGAttr("requiredExtensions")}} and {{SVGAttr("systemLanguage")}} attributes on its direct child elements in order, and then renders the first child where these attributes evaluate to true.</span> Other direct children will be bypassed and therefore not rendered. If a child element is a container element, like {{SVGElement("g")}}, then its subtree is also processed/rendered or bypassed/not rendered.</p>

<div class="notecard note">
<p>The <code>display</code> and <code>visibility</code> properties have no effect on <code>&lt;switch&gt;</code> element processing. In particular, setting <code>display:none</code> on a child has no effect on the true/false testing for <code>&lt;switch&gt;</code> processing.</p>
</div>

<h2 id="Usage_context">Usage context</h2>

<p>{{svginfo}}</p>

<h2 id="Attributes">Attributes</h2>

<h3 id="Global_attributes">Global attributes</h3>

<ul>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Conditional_processing_attributes">Conditional processing attributes</a></li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Core_attributes">Core attributes</a></li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Graphical_event_attributes">Graphical event attributes</a></li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Presentation_attributes">Presentation attributes</a></li>
 <li>{{SVGAttr("class")}}</li>
 <li>{{SVGAttr("style")}}</li>
 <li>{{SVGAttr("externalResourcesRequired")}}</li>
 <li>{{SVGAttr("transform")}}</li>
</ul>

<h2 id="DOM_Interface">DOM Interface</h2>

<p>This element implements the {{domxref("SVGSwitchElement")}} interface.</p>

<h2 id="SVG_switch_example">SVG &lt;switch&gt; example</h2>

<p>This example demonstrates showing different text content depending on the browser's language settings. The <code>switch</code> element will display the first of its child elements whose <code>systemLanguage</code> attribute matches the user's language, or the fallback element with no <code>systemLanguage</code> attribute if none of them match.</p>

<h3 id="HTML_Content">HTML Content</h3>

<pre class="brush: html">&lt;svg viewBox="0 -20 100 50"&gt;
   &lt;switch&gt;
      &lt;text systemLanguage="ar"&gt;مرحبا&lt;/text&gt;
      &lt;text systemLanguage="de,nl"&gt;Hallo!&lt;/text&gt;
      &lt;text systemLanguage="en-us"&gt;Howdy!&lt;/text&gt;
      &lt;text systemLanguage="en-gb"&gt;Wotcha!&lt;/text&gt;
      &lt;text systemLanguage="en-au"&gt;G'day!&lt;/text&gt;
      &lt;text systemLanguage="en"&gt;Hello!&lt;/text&gt;
      &lt;text systemLanguage="es"&gt;Hola!&lt;/text&gt;
      &lt;text systemLanguage="fr"&gt;Bonjour!&lt;/text&gt;
      &lt;text systemLanguage="ja"&gt;こんにちは&lt;/text&gt;
      &lt;text systemLanguage="ru"&gt;Привет!&lt;/text&gt;
      &lt;text&gt;☺&lt;/text&gt;
   &lt;/switch&gt;
&lt;/svg&gt;</pre>

<h3 id="Result">Result</h3>

<p>{{ EmbedLiveSample('SVG_switch_example') }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('SVG2', 'struct.html#SwitchElement', '&lt;switch&gt;')}}</td>
   <td>{{Spec2('SVG2')}}</td>
   <td>Clarified the evaluation of the {{SVGAttr("systemLanguage")}} attribute</td>
  </tr>
  <tr>
   <td>{{SpecName('SVG1.1', 'struct.html#SwitchElement', '&lt;switch&gt;')}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.switch")}}</p>
